# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXCopyModuleId

Function

Returns a pointer to a copy of a specified module identifier.

Syntax
`
#include <dx/dx.h>
`

Pointer DXCopyModuleId(Pointer id);

Functional Details

When it is no longer needed, the copy should be deleted with DXFreeModuleId.

Return Value

Returns the pointer or returns NULL (and sets an error code if an error occurs).

See Also

`DXCompareModuleId, DXFreeModuleId, DXGetModuleId`

13.5 , "Cache",
13.11 , "Asynchronous Services"

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]